2020-10-23 09:58 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003380AirborneRanger[All Projects] Generalpublic2016-02-06 01:29
Reporterretrogamer 
Assigned ToStingRayProject InfoAirborne Ranger (Microprose)
http://www.whdload.de/games/AirborneRanger.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0003380: "Adress Error" access fault after the title screen when using 68000 cpu.
DescriptionGameVersion: english,pal,1 disks
SlaveVersion: 1.0 from 20.05.2003

"Adress Error" access fault after the title screen when using 68000 cpu.
Quitkey for is not working.
I can send you the whdl register file.
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 2.05
KickROM37 - Kick 2.0
KickSoftNone
WHDLoad18.2
importedyes
Attached Files
  • ? file icon .whdl_register (3,353 bytes) 2016-02-04 10:38 -
    ************************* 28-Jan-11 18:18:20 ************************18.2.5735***
    Slave='AirborneRanger.slave' (1316 bytes)
    ShadowMem   2B6550 -   2D8550 ( 139264) AbsolutMem    22000 -    80000 ( 385024)
    Resload     2A3F90 -   2AA624 (  26260) at 2A3F90  GL=$2AE678
    Slave       23A9E8 -   23AEE8 (   1280) at 23A9E8  BaseMemSize=$80000
    attn=200(UAE,00) fc=-1 kn=20421 cs=C42D rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Address Error" ($F00C) PC = $23ABF8 (Slave $210) Read from $BFED01
    (ciaa.icr)
    
    $0023abcc rts
    $0023abce moveq        #3,d0
    $0023abd0 bsr.b        $23ac38
    $0023abd2 move.w       d0,($dff096)
    $0023abd8 moveq        #7,d0
    $0023abda bsr.b        $23ac38
    $0023abdc rts
    $0023abde moveq        #3,d0
    $0023abe0 bsr.b        $23ac38
    $0023abe2 move.w       ($14,a6),($dff096)             ;$00000cea
    $0023abea bra.b        $23abd8
    $0023abec movem.l      d0/a0,-(a7)                    ;$0002e586
    $0023abf0 lea          ($bfec01),a0
    $0023abf6 move.w       ($100,a0),d0                   ;$00bfed01
    $0023abfa btst         #3,d0
    $0023abfe beq.b        $23ac28
    $0023ac00 moveq        #0,d0
    $0023ac02 move.b       (a0),d0                        ;$00bfec01
    $0023ac04 ori.b        #$40,($200,a0)                 ;$00bfee01
    $0023ac0a move.l       ($1c35c),a0
    $0023ac10 move.b       d0,($286f4)
    $0023ac16 move.b       (0,a0,d0.w),($30324)           ;$00bff7a3
    $0023ac1e bsr.b        $23ac36
    $0023ac20 andi.b       #$bf,($bfee01)
    $0023ac28 movem.l      (a7)+,d0/a0                    ;$0002e586
    $0023ac2c move.w       #8,($dff09c)
    $0023ac34 rte
    $0023ac36 moveq        #2,d0
    $0023ac38 move.w       d0,-(a7)                       ;$0002e586
    
    exception stackframe:
    $0002E586 303500BF ED013028 22040023 ABF8
    regular stack:
    $0002E594 00000BA2 00074E74 20040002 68840001 A5BA0000 00000000 00000000 00000000
    $0002E5B4 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0002E5D4 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0002E5F4 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0002E614 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx      BA2         1     1A4E4     222E0    2A5E54    2A5E58    2A5E5C    2A5E60
    Ax   BFEC01    DFF1A0    23AD96    23AD9E    23ADC4    23ADCE       CD6
    
                     TTSM III   XNZVC
    PC=  23ABF8  SR %0010001000000100  USP=18500  SSP=2E586
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000000101000 dmacon=%0010011111110000 adkcon=$1100
    intreq=%0000000000001000
    vposr....A000  vhposr...07C0  joy0dat..0300  joy1dat..0000  clxdat...81FE  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..0000  
    deniseid.FFFC  hhposr...0000  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=50FF<50FF	   cra=00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000001  tb=2A2D<50FF	   crb=00000000  tb=50FF<50FF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100  prb=11111111      pra=00000111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=000458  icr=82  sdr=00    event=054E62  icr=04  sdr=00
    
    ? file icon .whdl_register (3,353 bytes) 2016-02-04 10:38 +

-Relationships
+Relationships

-Notes

note ~0004827

retrogamer (reporter)

.whdl_register file attached

note ~0004828

StingRay (developer)

Patch redone, movep instructions patched, 68000 quitkey support, trainer options added, blitter waits disabled on 68000, byte write to volume register fixed etc. pp.

note ~0004829

retrogamer (reporter)

Thanks StingRay!

I'll test it on my A600 tomorrow.
+Notes

-Issue History
Date Modified Username Field Change
2016-02-03 21:18 administrator New Issue
2016-02-04 02:41 StingRay Assigned To => StingRay
2016-02-04 02:41 StingRay Status new => assigned
2016-02-04 10:38 retrogamer Note Added: 0004827
2016-02-04 10:38 retrogamer File Added: .whdl_register
2016-02-06 00:16 StingRay Note Added: 0004828
2016-02-06 00:16 StingRay Status assigned => resolved
2016-02-06 00:16 StingRay Resolution open => fixed
2016-02-06 01:29 retrogamer Note Added: 0004829
+Issue History